Bug 1271530 - (CVE-2015-5301) CVE-2015-5301 ipsilon: missing user authorization check when deleting a service provider
CVE-2015-5301 ipsilon: missing user authorization check when deleting a servi...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151014,repor...
: Security
Depends On: 1271531 1271666
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:35 EDT by Martin Prpič
Modified: 2016-11-08 11:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that Ipsilon did not check whether a user is authorized to delete a service provider. An authenticated user could use this flaw to delete any service provider, potentially resulting in a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-14 04:35:30 EDT
It was found that Ipsilon does not check whether a user is authorized to delete a service provider. This makes it possible for any authenticated user to delete any service provider, causing a denial of service.

The vulnerable code is at:

https://pagure.io/ipsilon/blob/master/f/ipsilon/providers/saml2/admin.py#_309
Comment 1 Martin Prpič 2015-10-14 04:35:57 EDT
Created ipsilon tracking bugs for this issue:

Affects: fedora-all [bug 1271531]
Comment 6 Martin Prpič 2015-10-14 11:40:18 EDT
Acknowledgements:

This issue was discovered by Patrick Uiterwijk and Rob Crittenden of Red Hat.
Comment 7 Fedora Update System 2015-11-08 01:52:55 EST
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-08 04:50:13 EST
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-08 05:20:01 EST
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.